# Get keywords performance

```http
GET https://api.synup.com/api/v4/locations/{locationId}/keywords-performance
```

This API retrieves the ranking performance of all keywords associated with a specific location.

Source: https://developer.synup.com/api/rankings/get-keywords-performance

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `locationId` | string | required | Location ID |

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `fromDate` | string | optional | Start date to fetch rankings from (YYYY-MM-DD) |
| `toDate` | string | optional | End date to fetch rankings until (YYYY-MM-DD) |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/locations/:locationId/keywords-performance' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized |
